Subject: Re: [Bitcoin-development] Proposal: Vote on the blocksize limit with proof-of-stake voting

From: John Dillon <[email-masked]>
Date: Fri, 28 Jun 2013 10:25:28 +0000

> Thinking about this a little more, I guess it does not hurt to build some
> kind of voting system into the clients.  But I think it's more useful for
> straw polls.  For example a bug fix 100% of people should agree on.  A
> protocol optimization perhaps 80% would agree on.  A protocol change that
> redistributes wealth or incentives perhaps only 60% will agree on.
>
> At this point in time it's far too easy to deliver contentious changes into
> the hands of the general population.  I think that fortunately we're blessed
> with a very strong dev team, but the fundamental philosophy of bitcoin is to
> not put too much trust in single point, but rather, to distribute and
> diversify trust to the edges.

I disagree entirely. Your example of "straw polls" for bug fixes and
features is precisely what the current method of rough consensus and
running code, an IETF expression, handles just fine.

What the method does not handle effectively are issues that are
fundementally political rather than technical in nature. Blocksize is
precisely the latter because while the tradeoffs are technical in
nature the fundemental issue at hand is what do we want Bitcoin to be?
Who are we going to allow to participate?